Subject: Re: bug#11230: 24.1.50; VC doesn't handle internal errors?

From: Deniz Dogan <[email-masked]>
Date: Thu, 12 Apr 2012 19:58:26 +0200

On 2012-04-12 19:56, Glenn Morris wrote:
> Deniz Dogan wrote:
>
>> Bazaar works just fine from the command-line for all repositories for
>> me.
>
> Try from the command-line
>
> bzr status --no-classify
>

You're right, when I pass --no-classify it breaks in the command-line as 
well.

>> I feel that Emacs should at least be able to display the entire error
>> message in a readable fashion and not just assume the operation worked.
>
> It what way is it assuming the operation worked?

The return code from bzr is non-zero (4 in fact).  This should indicate 
an error of some sort and Emacs should be able to handle it.